# modules/base_module.py
from display.font_manager import FontManager

class BaseModule:
    def __init__(self, font_size=10):
        self.font_mgr = FontManager(size=font_size)
    
    def get_output(self):
        """Return the text to display"""
        return ""
    
    def render(self, draw, x, y, width, height):
        text = self.get_output()
        self.font_mgr.draw_multiline_text(draw, text, x, y, width, height)
